Subject: [Megaco] Query regarding "NoProfile" option for ServiceChangeProfile

From: "Ganesh Kumar" <[email-masked]>
Date: Tue, 8 May 2007 23:11:55 +0530

Hi,

I have query about the "NoProfile" option for ServiceChangeProfile.
According to specs reply shall indicate the profile and version
supported or "NoProfile" if no profile is supported. 

Here I am giving the piece specification from "7.2.8.1.11 ServiceChange
Command and Response". 

ServiceChangeProfile, if the responder wishes to negotiate the profile
to be used for the
association. The profile (name and version) is only returned in the
reply in the case that the
MGC cannot support the specified profiles in the ServiceChangeRequest.
The returned
reply shall indicate the profile and version supported or "NoProfile" if
no profile is
supported. Upon reception of a profile in the reply the MG may continue
the relationship
with the current MGC or contact secondary MGCs and establish a
relationship with them.

According to the grammar, version is mandatory for ServiceChangeProfile.

serviceChangeProfile = ProfileToken EQUAL NAME SLASH Version

For the "NoProfile" option there is no version. So how "NoProfile" can
fit as per ServiceChangeProfile grammar?

Please clarify this query.

Thanks and Regards,
Ganesh

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Wed, 09 May 2007 10:46:38 +1000

Hello Ganesh,

Please see: http://www.iana.org/assignments/megaco-h248

Profile Name                          Version    Reference/Contact
------------------------------------  -------    -----------------
NoProfile                               01       Clause 7.2.8 [RFC3525] or 
                                                 ITU-T Rec. H.248.1 
                                                 ITU TSB			

The "NoProfile" is version 1.

Regards, Christian

Ganesh Kumar wrote:
>
> Hi,
>
> I have query about the “NoProfile” option for ServiceChangeProfile. 
> supported or “NoProfile” if no profile is supported.
>
> Here I am giving the piece specification from* “**7.2.8.1.11 
> ServiceChange Command and Response**”*.
>
> *ServiceChangeProfile, if the responder wishes to negotiate the 
> profile to be used for the*
>
> *association. The profile (name and version) is only returned in the 
> reply in the case that the*
>
> *MGC cannot support the specified profiles in the 
> ServiceChangeRequest. The returned*
>
> *reply shall indicate the profile and version supported or "NoProfile" 
> if no profile is*
>
> *supported. Upon reception of a profile in the reply the MG may 
> continue the relationship*
>
> *with the current MGC or contact secondary MGCs and establish a 
> relationship with them.*
>
> *serviceChangeProfile = ProfileToken EQUAL NAME SLASH Version*
>
> For the “NoProfile” option there is no version. So how “NoProfile” can 
> ------------------------------------------------------------------------
>